Package org.eclipse.wst.xsl.core.internal.ant

## org.eclipse.wst.xsl.core.internal.ant
Class XIncludeTask

    public class XIncludeTask
    extends org.apache.tools.ant.Task

This class provides an XInclude ANT task definition.

## Constructor Summary

`XIncludeTask()`

## Method Summary

`public void` | `execute()`
`public java.util.Collection` | `listFiles(java.io.File directory , boolean recurse)` TODO: Add JavaDoc
`public void` | `setIn(java.lang.String inFile)` TODO: Add JavaDoc
`public void` | `setOut(java.lang.String outFile)` TODO: Add JavaDoc

## Constructor Detail

## XIncludeTask

`public XIncludeTask()`

## Methods Detail

## execute

`public void execute()`

## listFiles

`public java.util.Collection listFiles(java.io.File directory , boolean recurse)`

TODO: Add JavaDoc

### Parameters

`directory`

`recurse`

### Returns

`java.util.Collection`

## setIn

`public void setIn(java.lang.String inFile)`

TODO: Add JavaDoc

### Parameters

`inFile`

## setOut

`public void setOut(java.lang.String outFile)`

TODO: Add JavaDoc

### Parameters

`outFile`